
{insertable name="page_h1" assign="page_h1" title="Page Heading" type="text" description="The page H1 tag."}{/insertable}
{insertable name="content_pre" title="Content (Before Files)" assign="content_pre" type="wysiwyg"}{/insertable}
{insertable name="content_post" title="Content (After Files)" assign="content_post" type="wysiwyg"}{/insertable}

{insertablegroup title="Files" name="files" group="Files"}
	{insertable name="file" assign="file" title="File" type="file" required=true}{/insertable}
	{insertable name="title" assign="title" title="Title" type="text"}{/insertable}
	{insertable name="image" assign="image" title="Image" type="file" accept="image/*"}{/insertable}
	{insertable name="info" assign="info" title="Description" type="textarea"}{/insertable}
{/insertablegroup}



{if $page_h1}
	<h1>{$page_h1}</h1>
{/if}

{if $content_pre}
	{$content_pre}
{/if}


<ul class="listing-collection files">
	{foreach $files as $file}
		{assign var='object' value=\Core\Filestore\Factory::File($file['file'])}
		<li class="collection-item file">
			<div class="collection-item-image">
				{if $file.image}
					{img src="`$file.image`" dimensions="75x75"}
				{else}
					{img src="`$file.file`" dimensions="75x75"}
				{/if}
			</div>

			<div class="collection-item-title">
				{if $file.title}
					{$file.title}
				{else}
					{$file.file|basename}
				{/if}
			</div>

			{if $file.info}
				<div class="collection-item-description">
					{$file.info}
				</div>
			{/if}

			<div class="collection-item-controls">
				<a class="button" href="{link $file.file}">
					<i class="icon icon-download"></i>
					<span>Download {$file.file|basename}</span>
				</a>
			</div>

			<div class="collection-item-footnote">
				Filesize: {$object->getFilesize(true)}<br/>
				Modified: {date $object->getMTime() format='SD'}<br/>
				MD5 Hash: {$object->getHash()}
			</div>

		</li>
	{/foreach}
</ul>


{if $content_post}
	<br/>
	{$content_post}
{/if}